For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTQuick Tag Video
        • POSTIndexed Tag Video
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceMetadata Tagging

Indexed Tag Video

POST
https://vision-agent.api.reka.ai/v1/qa/indexedtag
POST
/v1/qa/indexedtag
$curl -X POST https://vision-agent.api.reka.ai/v1/qa/indexedtag \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "video_id": "string"
>}'
200Successful
1{
2 "Description": "string",
3 "Violence": true,
4 "Profanity": true,
5 "AdultContent": true,
6 "Drugs": true,
7 "Alcohol": true,
8 "Gambling": true,
9 "Political": true,
10 "ExpectedCTR": 1.1,
11 "ViralityScore": 1.1,
12 "Keyword": [
13 "string"
14 ],
15 "MoodTone": [
16 "string"
17 ]
18}
Generate metadata tags for previously indexed videos
Was this page helpful?
Previous

Create Clips

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects an object.
video_idstringRequired
ID of the video to tag

Response

Successful Response
VideoTaggingAdvertisingResultobject
OR
string